Get Taxes
Retrieve tax rules configured for your account.
Endpointโ
GET /v1/settings/taxes
Authenticationโ
Requires an API key with the settings:read scope.
Responseโ
Success (200 OK)โ
{
"data": [
{
"id": 1,
"tax_name": "GST",
"rate": 10.00,
"include_in_price": false,
"created_at": "2025-01-01T00:00:00+00:00",
"updated_at": "2025-01-01T00:00:00+00:00"
},
{
"id": 2,
"tax_name": "Service Fee",
"rate": 5.00,
"include_in_price": true,
"created_at": "2025-01-01T00:00:00+00:00",
"updated_at": "2025-01-01T00:00:00+00:00"
}
],
"meta": {
"request_id": "req_abc123",
"timestamp": "2026-01-15T12:00:00+00:00"
}
}
Response Fieldsโ
| Field | Type | Description |
|---|---|---|
id | integer | Unique identifier |
tax_name | string | Name of the tax (e.g., "GST", "VAT", "Sales Tax") |
rate | float | Tax rate as a percentage |
include_in_price | boolean | Whether tax is included in displayed prices |
created_at | string | ISO 8601 datetime |
updated_at | string | ISO 8601 datetime |
Tax Calculationโ
- If
include_in_priceistrue, prices already include this tax - If
include_in_priceisfalse, this tax is added on top of prices at checkout
Errorsโ
| Status | Code | Description |
|---|---|---|
| 401 | authentication_required | No API key provided |
| 401 | invalid_api_key | Invalid API key |
| 403 | insufficient_scope | API key lacks settings:read scope |
Example Requestโ
curl -X GET "https://app.equipdash.com/api/v1/settings/taxes" \
-H "Authorization: Bearer eqd_live_abc123xyz789..."